package com.ruoyi.demo.controller;


import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.AddrCategory;
import com.ruoyi.demo.entity.vo.AddrCategoryBody;
import com.ruoyi.demo.entity.vo.TypeByBody;
import com.ruoyi.demo.service.CommonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 基础功能-下拉框
 */
@RestController
@RequestMapping("/common")
public class CommonController {
    @Autowired
    CommonService commonService;


    /**
     * 获取犇云分类下拉框
     *
     * @return
     */
    @GetMapping("/tag")
    public R tag() {
        List<TypeByBody> tag = commonService.tag();
        return R.ok(tag);
    }

    /**
     * 获取地区码下拉框
     *
     * @return
     */
    @GetMapping("/addrCodeMap")
    public R addrCodeMap() {
        List<AddrCategoryBody> addrCategoryBodies = commonService.addrCodeMap();
        return R.ok(addrCategoryBodies);
    }

    /**
     * 分等级（省、市、区）查询地区
     *
     * @param code  地区Code：level=province（不需要）、level=city（code=省码）、level=zone（code=市码）
     * @param level 搜索等级：province（查询全省）、city（查某个省的市）、zone（查某个市的区）
     * @return
     */
    @GetMapping("/addrCodeLevel")
    public R addrCodeLevel(String code, String level) {
        List<AddrCategory> addrCategories = commonService.addrCodeLevel(code, level);
        return R.ok(addrCategories);
    }
}
