package com.ruoyi.demo.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.TopologicalBuildingWd;
import com.ruoyi.demo.entity.bo.BuildWdCategoryCount;
import com.ruoyi.demo.entity.bo.Histogram;
import com.ruoyi.demo.entity.vo.TopologicalWdAceeptVo;
import com.ruoyi.demo.service.TopologicalBuildWdSerevice;
import com.ruoyi.demo.valida.TopologicalWdListGroup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.ExecutionException;

/**
 * 点位评估-周边楼宇网点
 */
@RestController
@RequestMapping("/poi/topologicalBuildWd")
public class TopologicalBuildWdController {
    @Autowired
    TopologicalBuildWdSerevice topologicalBuildWdSerevice;


    /**
     * 周边楼宇物业类别
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @RequestMapping("/buildingLevel")
    public R buildingLevel(@Validated(value = {TopologicalWdListGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {
        List<BuildWdCategoryCount> list = topologicalBuildWdSerevice.buildingLevel(topologicalWdAceeptVo);
        return R.ok(list);
    }

    /**
     * 获取周边楼宇列表
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @RequestMapping("/list")
    public R list(@Validated(value = {TopologicalWdListGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {
        Page<TopologicalBuildingWd> list = topologicalBuildWdSerevice.list(topologicalWdAceeptVo);
        return R.ok(list);
    }

    /**
     * 周边楼宇物业分类统计
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @RequestMapping("/buildingHistogram")
    public R buildingHistogram(@Validated(value = {TopologicalWdListGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {
        List<Histogram> list = topologicalBuildWdSerevice.buildingHistogram(topologicalWdAceeptVo);
        return R.ok(list);
    }
}
