package com.ruoyi.demo.controller;


import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.vo.TopologicalWdAceeptVo;
import com.ruoyi.demo.service.TopologicalEnterpriseWdService;
import com.ruoyi.demo.valida.TopologicalWdListGroup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.concurrent.ExecutionException;

/**
 * 点位评估：周边企业
 */
@RestController
@RequestMapping("/poi/topologicalEnterpriseWd")
public class TopologicalEnterpriseWdController {
    @Autowired
    TopologicalEnterpriseWdService topologicalEnterpriseWdService;


    /**
     * 获取周边企业网点列表
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @GetMapping("/list")
    public R list(@Validated(value = {TopologicalWdListGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {
        HashMap<String, Object> list = topologicalEnterpriseWdService.list(topologicalWdAceeptVo);
        return R.ok(list);
    }

    /**
     * 获取中心网点周边物流园列表
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @GetMapping("/logisticsList")
    public R logisticsList(@Validated(value = {TopologicalWdListGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {
        HashMap<String, Object> list = topologicalEnterpriseWdService.logisticsList(topologicalWdAceeptVo);
        return R.ok(list);
    }
}
