package com.ruoyi.demo.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.TopologicalHouseWd;
import com.ruoyi.demo.entity.TopologicalHouseWdStatisticsData;
import com.ruoyi.demo.entity.vo.TopologicalWdAceeptVo;
import com.ruoyi.demo.service.TopologicalHouseWdService;
import com.ruoyi.demo.valida.TopologicalWdGroup;
import com.ruoyi.demo.valida.TopologicalWdListGroup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.ExecutionException;

@RestController
@RequestMapping("/poi/topologicalHouseWd")
public class TopologicalHouseWdController {
    @Autowired
    TopologicalHouseWdService topologicalHouseWdService;


    /**
     * 获取小区网点关键信息
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @RequestMapping("/info")
    public R info(@Validated(value = {TopologicalWdGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {

        TopologicalHouseWdStatisticsData info = topologicalHouseWdService.info(topologicalWdAceeptVo);
        return R.ok(info);
    }

    /**
     * 获取小区网点列表
     *
     * @param topologicalWdAceeptVo 周边网点接受体
     * @return
     */
    @RequestMapping("/list")
    public R list(@Validated(value = {TopologicalWdListGroup.class}) TopologicalWdAceeptVo topologicalWdAceeptVo) throws ExecutionException, InterruptedException {

        Page<TopologicalHouseWd> list = topologicalHouseWdService.list(topologicalWdAceeptVo);
        return R.ok(list);
    }
}
