package com.ruoyi.demo.utils.statistics;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ruoyi.demo.entity.Brand;
import com.ruoyi.demo.entity.BrandProvince;
import com.ruoyi.demo.mapper.BrandCityDao;
import com.ruoyi.demo.mapper.BrandDao;
import com.ruoyi.demo.mapper.BrandProvinceDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.UUID;

@Component
public class BrandProvinceStat {
    @Autowired
    BrandDao brandDao;
    @Autowired
    BrandProvinceDao brandProvinceDao;
    @Autowired
    BrandCityDao cityDao;

    public void continueInsert() {
        //        List<String> notIns = brandProvinceDao.selectIns();
        //        System.out.println("已处理：" + notIns.size() + "个");
        //        List<Brand> brands = brandDao.searchNotIns(notIns);
        List<String> ins = cityDao.selectIns();
        QueryWrapper<Brand> queryWrapper = new QueryWrapper<>();
        queryWrapper.in("brand_id", ins);
        List<Brand> brands = brandDao.selectList(queryWrapper);
        int total = brands.size();
        for (int i = 1; i < brands.size() + 1; i++) {
            Brand brand = brands.get(i - 1);
            //            统计本月
            String month = DateUtil.date().toString("yyyy-MM");
            List<BrandProvince> provinces = brandProvinceDao.searchByBrandIdOrderByProvince(brand.getBrandId(), month);
            if (provinces.isEmpty()) {
                System.out.println(i + "/" + total);
                continue;
            }
            for (BrandProvince city : provinces) {
                city.setDisId(UUID.randomUUID().toString().replace("-", ""));
                city.setBrandId(brand.getBrandId());
                city.setUpdateTime(DateUtil.date());
            }
            brandProvinceDao.insertAll(provinces);
            System.out.println(i + "/" + total);
        }
    }
}
