package com.ruoyi.job.service;

import com.ruoyi.demo.mapper.WdInfoDao;
import com.ruoyi.demo.utils.WdRedisStoreage;
import com.ruoyi.demo.utils.statistics.AttentionPoolStat;
import com.ruoyi.demo.utils.statistics.Together;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;

@Slf4j
@Service
public class BenyunService {

    @Autowired
    WdRedisStoreage wdRedisStoreage;

    @Autowired
    WdInfoDao wdInfoDao;

    @Autowired
    AttentionPoolStat stat;

    @Autowired
    Together together;


    /**
     * 将网点数据加载到redis中
     * */
    @XxlJob("WriteRedisJob")
    public void WriteRedisJob() throws IOException {
        XxlJobHelper.log("WriteRedisJob start");
        try {
            wdRedisStoreage.writeWdGeoRedis1();
        } catch (Exception e) {
            XxlJobHelper.log("WriteRedisJob ERROR：");
            XxlJobHelper.log(e);
        }
    }

    /**
     * 网点标签分析定时任务
     */
    @XxlJob("AnalyseJob")
    public void AnalyseJob() throws IOException {
        XxlJobHelper.log("大统计.....");
        wdRedisStoreage.writeWdGeoRedis2(new String[]{"1"});
        wdRedisStoreage.writeWdGeoRedis2(new String[]{"2","3","5"});
        XxlJobHelper.log("大统计.....结束");
    }


    /**
     * 关注池定时任务
     */
    @XxlJob("AttentionPoolJob")
    public void AttentionPoolJob(){
        stat.insert();
    }

    /**
     * 品牌统计定时任务
     * */
    @XxlJob("BrandStatsiticsJob")
    public void BrandStatsiticsJob(){
        together.start();
    }

}
